profile scalerail_2t_tun {

	Sample template for DynaTrax testing
	
	Copyright  Trainsimfiles.com

	Default track style but with scale rail widths

	header {
		#regid may be used for ensuring profiles are approved/registered
		regid=default_new.trainsimfiles.uk

		#profileSet is the track system the profile belongs to
		profileSet=ScaleRail

		#profileName is a description of the profile
		profilename=ScaleRail 2-track tunnel

		#url/email for profile issues
		support=http://support.trainsimfiles.com/

		#gauge value, only to be used later for selecting profiles by gauge instead of track set
		gauge=1.435
	}

	#seglimits sets how segmentation of shapes is to occur maximum segment angle, minimum and maximum segment length 
	#followed by (minimum length, maximum length)
	#these force the segmentation to take place with 
	#these parameters are currently hard-coded, but will be enabled to allow user-defined quality of curves/straights 
	maxSegAngle=0.75
	minSegLength=1
	maxSegLength=12.5

	#List of materials to be used for the shape
	#materials: name (filename,mip bias,shader,filter,lighting,alphamode,zbuffer,u_scale,v_scale)
	#u_scale and v_scale are in metres and are the physical distances the texture covers (ie. length / u_scale = u )
	#note: some parameters are based on GMAX materials form
	#OptSpecular0, -5, Normal; OptSpecular25, -6, HiShine; OptSpecular750, -7, LoShine
	#OptFullbright, -8, Bright; Cruciform, -9, CrcFrm; OptHalfbright, -11, HlfBrt; DarkShade, -12, DrkShd
	#alpha mode: none, trans
	#eg. zbuffer=test, this makes shadows appear on that surface
	material=WALLTC (SR_Track_c7d.ace,0,TexDiff,MipLinear,OptSpecular0,none,normal,0,5.0)
	material=FLOORTC (SR_Track_c7a.ace,0,TexDiff,LinearMipLinear,OptSpecular0,none,normal,0,5.0)
	material=BALLASTTC (SR_Track_c7a.ace,0,BlendATexDiff,LinearMipLinear,OptSpecular0,trans,test,0,5.0)
	material=TIESTC (SR_Track_c7b.ace,0,BlendATexDiff,MipLinear,OptSpecular0,trans,test,0,5.0)
	material=TIESTCU (SR_Track_c7b.ace,0,BlendATexDiff,MipLinear,OptSpecular0,trans,normal,0,5.0)
	material=SHINETC (SR_Track_c7c.ace,0,TexDiff,LinearMipLinear,OptSpecular0,none,normal,0,5.0)
	material=RAILTC (SR_Track_c7c.ace,0,TexDiff,LinearMipLinear,OptSpecular0,none,normal,0,5.0)
	material=SPIKESTC (SR_Track_c7b.ace,-1,BlendATexDiff,MipLinear,OptSpecular0,trans,normal,0,5.0)

	#List of unique points that describe the shape - this avoids having to repeat coordinates in profile lines later on
	points=(5.4925,0,0)(5.4925,6,0)(4.4925,7.5,0)(2.4925,8,0)(-2.4925,8,0)(-4.4925,7.5,0)(-5.4925,6,0)(-5.4925,0,0)
	points=(-4.9309,0.16,0)(-0.0541,0.16,0)
	points=(0.0541,0.16,0)(4.9309,0.16,0)
	points=(-3.7879,0.1822,0)(-1.1971,0.1822,0)
	points=(1.1971,0.1822,0)(3.7879,0.1822,0)
	points=(-3.2751,0.325,0)(-3.21,0.325,0)
	points=(-1.775,0.325,0)(-1.7099,0.325,0)
	points=(3.21,0.325,0)(3.2751,0.325,0)
	points=(1.7099,0.325,0)(1.775,0.325,0)
	points=(-3.2751,0.1822,0)(-3.2751,0.325,0)
	points=(-3.21,0.325,0)(-3.21,0.1822,0)
	points=(-1.775,0.1822,0)(-1.775,0.325,0)
	points=(-1.7099,0.325,0)(-1.7099,0.1822,0)
	points=(3.2751,0.325,0)(3.2751,0.1822,0)
	points=(3.21,0.1822,0)(3.21,0.325,0)
	points=(1.775,0.325,0)(1.775,0.1822,0)
	points=(1.7099,0.1822,0)(1.7099,0.325,0)
	points=(-4.9309,-0.2,0)(-3.9403,0.16,0)(-1.0447,0.16,0)(-0.0541,-0.2,0)
	points=(0.0541,-0.2,0)(1.0447,0.16,0)(3.9403,0.16,0)(4.9309,-0.2,0)
	points=(-3.4025,0.1822,0)(-3.2425,0.21,0)(-3.0825,0.1822,0)
	points=(-1.9025,0.1822,0)(-1.7425,0.21,0)(-1.5825,0.1822,0)
	points=(3.0825,0.1822,0)(3.2425,0.21,0)(3.4025,0.1822,0)
	points=(1.5825,0.1822,0)(1.7425,0.21,0)(1.9025,0.1822,0)
	points=(-3.2751,0.325,0)(-3.2425,0.33,0)(-3.21,0.325,0)
	points=(-1.775,0.325,0)(-1.7425,0.33,0)(-1.7099,0.325,0)
	points=(3.21,0.325,0)(3.2425,0.33,0)(3.2751,0.325,0)
	points=(1.7099,0.325,0)(1.7425,0.33,0)(1.775,0.325,0)
	points=(-3.2751,0.1822,0)(-3.2751,0.325,0)
	points=(-3.21,0.325,0)(-3.21,0.1822,0)
	points=(-1.775,0.1822,0)(-1.775,0.325,0)
	points=(-1.7099,0.325,0)(-1.7099,0.1822,0)
	points=(-3.3077,0.1822,0)(-3.2539,0.2,0)
	points=(-3.2312,0.2,0)(-3.1775,0.1822,0)
	points=(-1.7311,0.2,0)(-1.6773,0.1822,0)
	points=(-1.8075,0.1822,0)(-1.7538,0.2,0)
	points=(3.2751,0.325,0)(3.2751,0.1822,0)
	points=(3.21,0.1822,0)(3.21,0.325,0)
	points=(1.775,0.325,0)(1.775,0.1822,0)
	points=(1.7099,0.1822,0)(1.7099,0.325,0)
	points=(3.2539,0.2,0)(3.3077,0.1822,0)
	points=(3.1775,0.1822,0)(3.2312,0.2,0)
	points=(1.6773,0.1822,0)(1.7311,0.2,0)
	points=(1.7538,0.2,0)(1.8075,0.1822,0)
	points=(-3.7879,0.16,0)(-3.7879,0.1822,0)(-1.1971,0.1822,0)(-1.1971,0.16,0)
	points=(1.1971,0.16,0)(1.1971,0.1822,0)(3.7879,0.1822,0)(3.7879,0.16,0)

	#List of UV mapping points for tiling: 0,0 is bottom left of texture
	uvpoints=(2.1,1)(0.8,1)(1,1)(1.2,1)(1.8,1)(2,1)(2.2,1)(-0.1,1)
	uvpoints=(0,1)(1,1)
	uvpoints=(1,1)(0,1)
	uvpoints=(0.235,1)(0.766,1)
	uvpoints=(0.766,1)(0.235,1)
	uvpoints=(0.43,1)(0.57,1)
	uvpoints=(0.57,1)(0.43,1)
	uvpoints=(0.57,1)(0.43,1)
	uvpoints=(0.43,1)(0.57,1)
	uvpoints=(0.03,1)(0.43,1)
	uvpoints=(0.57,1)(0.97,1)
	uvpoints=(0.03,1)(0.43,1)
	uvpoints=(0.57,1)(0.97,1)
	uvpoints=(0.43,1)(0.03,1)
	uvpoints=(0.97,1)(0.57,1)
	uvpoints=(0.43,1)(0.03,1)
	uvpoints=(0.97,1)(0.57,1)
	uvpoints=(0,1)(0.203,1)(0.797,1)(1,1)
	uvpoints=(1,1)(0.797,1)(0.203,1)(0,1)
	uvpoints=(0.049,1)(0.102,1)(0.155,1)
	uvpoints=(0.049,1)(0.102,1)(0.155,1)
	uvpoints=(0.155,1)(0.102,1)(0.049,1)
	uvpoints=(0.155,1)(0.102,1)(0.049,1)
	uvpoints=(0.43,1)(0.5,1)(0.57,1)
	uvpoints=(0.57,1)(0.5,1)(0.43,1)
	uvpoints=(0.57,1)(0.5,1)(0.43,1)
	uvpoints=(0.43,1)(0.5,1)(0.57,1)
	uvpoints=(0.03,1)(0.43,1)
	uvpoints=(0.57,1)(0.97,1)
	uvpoints=(0.03,1)(0.43,1)
	uvpoints=(0.57,1)(0.97,1)
	uvpoints=(0,1)(0.2,1)
	uvpoints=(0.8,1)(1,1)
	uvpoints=(0.2,1)(0,1)
	uvpoints=(1,1)(0.8,1)
	uvpoints=(0.43,1)(0.03,1)
	uvpoints=(0.97,1)(0.57,1)
	uvpoints=(0.43,1)(0.03,1)
	uvpoints=(0.97,1)(0.57,1)
	uvpoints=(0.2,1)(0,1)
	uvpoints=(1,1)(0.8,1)
	uvpoints=(0,1)(0.2,1)
	uvpoints=(0.8,1)(1,1)
	uvpoints=(0.215,1)(0.235,1)(0.766,1)(0.786,1)
	uvpoints=(0.786,1)(0.766,1)(0.235,1)(0.215,1)

	#set number of LOD levels and distances
	#note: half shape length is added to first LOD distance automatically
	#limited to 4 LOD levels in the beta, but should be sufficient for evaluation/testing
	lods=100,500,2000
	degrade=1,2,4

	#'list of distinct objects, each object can have 1 material only - though objects can share materials
	#any number of objects may be added, though for performance reasons the fewer the better
	#multi-material objects not yet supported

	object WALLTC {
		#subobject is used for alpha sorting purposes, though not really require for track
		#a value of 1 is used for UKFS shapes to force sleepers to overwrite the trackbed (avoids sleeper/ballast contention)
		subobject=0

		#the material use for this object, from the list above
		materialName=WALLTC

		#profile=lod level, (point number,uv number),( ... )
		#point and uv numbers are from the list above, starting at 0
		#all points on one profile line will be welded, for smooth continous surfaces
		#use a profile line to start a new surface
		profile=0,(0,0)(1,1)(2,2)(3,3)(4,4)(5,5)(6,6)(7,7)
		profile=1,(0,0)(1,1)(2,2)(3,3)(4,4)(5,5)(6,6)(7,7)
		profile=2,(0,0)(1,1)(2,2)(3,3)(4,4)(5,5)(6,6)(7,7)
	}
	object FLOORTC {
		subobject=0
		materialName=FLOORTC
		profile=0,(7,7)(0,0)
		profile=1,(7,7)(0,0)
		profile=2,(7,7)(0,0)
	}
	object BALLASTTC {
		subobject=0
		materialName=BALLASTTC
		profile=0,(40,40)(41,41)(42,42)(43,43)
		profile=0,(44,44)(45,45)(46,46)(47,47)
		profile=1,(8,8)(9,9)
		profile=1,(10,10)(11,11)
	}
	object RAILTC {
		subobject=0
		materialName=RAILTC
		profile=0,(72,72)(73,73)
		profile=0,(74,74)(75,75)
		profile=0,(76,76)(77,77)
		profile=0,(78,78)(79,79)
		profile=0,(80,80)(81,81)
		profile=0,(82,82)(83,83)
		profile=0,(84,84)(85,85)
		profile=0,(86,86)(87,87)
		profile=0,(88,88)(89,89)
		profile=0,(90,90)(91,91)
		profile=0,(92,92)(93,93)
		profile=0,(94,94)(95,95)
		profile=0,(96,96)(97,97)
		profile=0,(98,98)(99,99)
		profile=0,(100,100)(101,101)
		profile=0,(102,102)(103,103)
		profile=1,(24,24)(25,25)
		profile=1,(26,26)(27,27)
		profile=1,(28,28)(29,29)
		profile=1,(30,30)(31,31)
		profile=1,(32,32)(33,33)
		profile=1,(34,34)(35,35)
		profile=1,(36,36)(37,37)
		profile=1,(38,38)(39,39)
	}
	object SHINETC {
		subobject=0
		materialName=SHINETC
		profile=0,(60,60)(61,61)(62,62)
		profile=0,(63,63)(64,64)(65,65)
		profile=0,(66,66)(67,67)(68,68)
		profile=0,(69,69)(70,70)(71,71)
		profile=1,(16,16)(17,17)
		profile=1,(18,18)(19,19)
		profile=1,(20,20)(21,21)
		profile=1,(22,22)(23,23)
	}
	object SPIKESTC {
		subobject=0
		materialName=SPIKESTC
		profile=0,(48,48)(49,49)(50,50)
		profile=0,(51,51)(52,52)(53,53)
		profile=0,(54,54)(55,55)(56,56)
		profile=0,(57,57)(58,58)(59,59)
	}
	object TIESTC {
		subobject=0
		materialName=TIESTC
		profile=0,(104,104)(105,105)
		profile=0,(105,105)(106,106)
		profile=0,(106,106)(107,107)
		profile=0,(108,108)(109,109)
		profile=0,(109,109)(110,110)
		profile=0,(110,110)(111,111)
	}
	object TIESTCU {
		subobject=0
		materialName=TIESTCU
		profile=1,(12,12)(13,13)
		profile=1,(14,14)(15,15)
	}
}